Bug 104086 - Will not alter computer name entitlements
Will not alter computer name entitlements
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Red Hat Satellite QA List
Depends On:
  Show dependency treegraph
Reported: 2003-09-09 15:05 EDT by Allan Rabenau
Modified: 2007-10-23 22:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-12 09:49:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Allan Rabenau 2003-09-09 15:05:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When starting Mozilla, I get a message that says I need to update up2date; I go
to the links, download & install, but when I do "up2date -p, I get a failure
notice that I'm not entitled.  I go to
rhn.redhat.com/network/systems/entitlements.pxt and see the old name I had for
this computer - "perscom".  During the load of RH.9, I changed this to
"COMPUTER".  I see that, too.  I set "perscom" to "None" and "COMPUTER" to basic
and exit, but up2date -p still fails the same way.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.su -
2.run up2date -p

Actual Results:  See Description, above

Expected Results:  Successful completion of up2date -p, allowing successful
running of Mozilla. 

Additional info:

I try to keep everything as up to date as possible, downloading and installing
all the recommended updates as soon as they appear.
Comment 1 Adrian Likins 2003-09-09 15:53:09 EDT
The computer name shouldnt make any difference (it's the systemid
number in /etc/sysconfig/rhn/systemid that is the identifier).
Comment 2 Allan Rabenau 2003-09-11 08:54:32 EDT
That may be so, and fine, but the fact remains that up until this time I could
run up2date and update my system; now I cannot.  What must I do to correct this
Comment 3 Allan Rabenau 2003-09-12 07:50:50 EDT
I have apparently fixed the problem.  I located a "systemid.save" file in
/etc/sysconfig/rhn.  I copied systemid to systemid.suspect and used vi to copy
the checksum number and the ID number from systemid.save to systemid.  A
susequent run of up2date allowed me to obtain the latest pine update, so it
appears to work now.

Note You need to log in before you can comment on or make changes to this bug.